package com.ywt.outpatient.api.resp;

//import io.swagger.annotations.ApiModel;
//import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @author Walker
 * Created on 2019/11/14
 */
//@ApiModel(value = "分页数据响应体")
public class PageListResponse<T> {
    //@ApiModelProperty(value = "数量", required = true)
    private int count;
    //@ApiModelProperty(value = "总页数", required = true)
    private int totalPages;
    //@ApiModelProperty(value = "数据列表", required = true)
    private List<T> list;

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public int getTotalPages() {
        return totalPages;
    }

    public void setTotalPages(int totalPages) {
        this.totalPages = totalPages;
    }

    public List<T> getList() {
        return list;
    }

    public void setList(List<T> list) {
        this.list = list;
    }
}
